PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
Functions
PDL API Reference » PPC (Peripheral Protection Controller)

## General Description

## Functions
cy_en_ppc_status_t | Cy_Ppc_InitPpc (PPC_Type *base, const cy_en_ppc_resp_cfg_t ppcResponse)
| Initializes the referenced ppc. More...
cy_en_ppc_status_t | Cy_Ppc_ConfigAttrib (PPC_Type *base, const cy_en_prot_region_t region, const cy_stc_ppc_attribute_t *attribute)
| Configure the referenced ppc with the security and access attributes. More...
cy_en_ppc_status_t | Cy_Ppc_SetPcMask (PPC_Type *base, const cy_en_prot_region_t region, uint32_t pcMask)
| Configure the PC mask for a given range of regions of referenced PPC. More...
__STATIC_INLINE uint32_t | Cy_Ppc_GetLockMask (const PPC_Type *base)
| Reads the lock mask value for the referenced PPC. More...
__STATIC_INLINE cy_en_ppc_status_t | Cy_Ppc_Lock (PPC_Type *base)
| Sets the lock for the referenced PPC. More...

## Function Documentation

## ◆ Cy_Ppc_InitPpc()

cy_en_ppc_status_t Cy_Ppc_InitPpc | ( | PPC_Type * | base,
|  | const cy_en_ppc_resp_cfg_t | ppcResponse
| ) |  |

Initializes the referenced ppc.

Parameters

  base | Base address of ppc being configured
  ppcResponse | PPC Response type on violation

Returns
  Initialization status

## ◆ Cy_Ppc_ConfigAttrib()

cy_en_ppc_status_t Cy_Ppc_ConfigAttrib | ( | PPC_Type * | base,
|  | const cy_en_prot_region_t | region,
|  | const cy_stc_ppc_attribute_t * | attribute
| ) |  |

Configure the referenced ppc with the security and access attributes.

Parameters

  base | Base address of ppc being configured
  region | PPC region to configure
  attribute | PPC attribute configuration structure

Returns
  Initialization status

## ◆ Cy_Ppc_SetPcMask()

cy_en_ppc_status_t Cy_Ppc_SetPcMask | ( | PPC_Type * | base,
|  | const cy_en_prot_region_t | region,
|  | uint32_t | pcMask
| ) |  |

Configure the PC mask for a given range of regions of referenced PPC.

Parameters

  base | Base address of ppc being configured
  region | PPC region to set PC Mask for
  pcMask | PPC mask to set to

Returns
  Operation status

## ◆ Cy_Ppc_GetLockMask()

__STATIC_INLINE uint32_t Cy_Ppc_GetLockMask | ( | const PPC_Type * | base | ) |

Reads the lock mask value for the referenced PPC.

Parameters

  base | Base address of PPC being configured

Returns
  Mask value read

## ◆ Cy_Ppc_Lock()

__STATIC_INLINE cy_en_ppc_status_t Cy_Ppc_Lock | ( | PPC_Type * | base | ) |

Sets the lock for the referenced PPC.

Parameters

  base | Base address of ppc being configured

Returns
  Initialization status